=== debian/control ===
Source: xmms2
Section: sound
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               gem2deb,
               libao-dev,
               libasound2-dev [linux-any],
               libavahi-client-dev,
               libavahi-glib-dev,
               libavcodec-dev,
               libboost-dev,
               libboost-signals-dev,
               libcdio-cdda-dev,
               libcurl4-openssl-dev,
               libdiscid0-dev,
               libexpat1-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgamin-dev,
               libglib2.0-dev,
               libgme-dev,
               libjack-dev,
               libmad0-dev,
               libmms-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpg123-dev (>= 1.5.1),
               libofa0-dev,
               libperl-dev,
               libpulse-dev,
               libreadline-dev,
               libresid-builder-dev,
               libsamplerate-dev,
               libsdl1.2-dev,
               libshout-dev,
               libsidplay2-dev,
               libsmbclient-dev,
               libsndfile1-dev,
               libsqlite3-dev,
               libvisual-0.4-dev,
               libvorbis-dev,
               libwavpack-dev,
               libxml2-dev,
               python-all-dev (>= 2.6.6-3~),
               python-pyrex
Vcs-Git: git://anonscm.debian.org/pkg-xmms2/xmms2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xmms2/xmms2.git
Homepage: http://xmms2.org/

Package: libaudio-xmmsclient-perl
Architecture: any
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: XMMS2 - Perl client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a Perl library that allows you do write XMMS2 clients.
 It's a language binding of libxmmsclient0.

Package: libxmmsclient++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libxmmsclient++4 (= ${binary:Version}),
         libxmmsclient-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++4.

Package: libxmmsclient++-glib-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient++-dev,
         libxmmsclient++-glib1 (= ${binary:Version}),
         libxmmsclient-glib-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++-glib1.

Package: libxmmsclient++-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - glib client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c++.

Package: libxmmsclient++4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libxmmsclient++1, libxmmsclient++2, libxmmsclient++3
Replaces: libxmmsclient++1, libxmmsclient++2, libxmmsclient++3
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c++.

Package: libxmmsclient-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient6 (= ${binary:Version}),
         pkg-config,
         xmms2-dev,
         ${misc:Depends}
Description: XMMS2 - client library development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using libxmmsclient6.

Package: libxmmsclient-glib-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libxmmsclient-dev,
         libxmmsclient-glib1 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient-glib1.

Package: libxmmsclient-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - glib client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c.

Package: ruby-xmmsclient
Architecture: any
Section: ruby
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - Ruby bindings
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a Ruby library that allows you to write XMMS2 clients.
 It's a language binding of libxmmsclient0.

Package: libxmmsclient6
Architecture: any
Section: libs
Conflicts: libxmmsclient2, libxmmsclient3, libxmmsclient4, libxmmsclient5
Replaces: libxmmsclient2, libxmmsclient3, libxmmsclient4, libxmmsclient5
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c.

Package: python-xmmsclient
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: XMMS2 - Python bindings
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the Python bindings for the XMMS2 client library.

Package: xmms2
Architecture: any
Depends: xmms2-client-cli,
         xmms2-core,
         xmms2-icon,
         xmms2-plugin-alsa [linux-any],
         xmms2-plugin-id3v2,
         xmms2-plugin-mad,
         xmms2-plugin-oss [!linux-any],
         xmms2-plugin-vorbis,
         ${misc:Depends}
Conflicts: xmms2-plugin-nulstripper
Replaces: xmms2-plugin-nulstripper
Description: Client/server based media player system
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package is a metapackage depending on various other XMMS2 packages.
 Installing this package gets you a command line client and enables XMMS2
 playback of Ogg Vorbis and MP3 files from local and remote sources.

Package: xmms2-client-avahi
Architecture: any
Depends: xmms2-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - avahi client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the avahi client.

Package: xmms2-client-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xmms2-core (= ${binary:Version})
Description: XMMS2 - cli client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains the readline powered text user interface for XMMS2.

Package: xmms2-client-medialib-updater
Architecture: any
Depends: xmms2-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: XMMS2 - medialib-updater client
 The media library is where XMMS2 stores metadata about files as it plays them.
 Having a media library allows XMMS2 to 'remember' the songs it has played, and
 thus allows users to easily re-create their favorite playlists.
 .
 This package contains the medialib-updater client which monitors given
 directories and updates the media library with new and changed files.

Package: xmms2-client-nycli
Architecture: any
Depends: xmms2-client-cli, ${misc:Depends}
Suggests: xmms2-core (= ${binary:Version})
Description: XMMS2 - new cli client
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains only the symlink from nyxmms2 to xmms2. nyxmms2 was
 renamed to xmms2 in 0.8 DrO_o.

Package: xmms2-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4
Description: XMMS2 - core package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
